#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC5,0x1D,0x4C,0x3B,0xC0,0x79,0x50,0x81,0x92,0xE3,0x0E,0xBC,
		0x3C,0xFC,0xA4,0xF5,0x1A,0x4E,0x7E,0x9C,0x2A,0xC5,0x8B,0x4A,
		0x34,0x3E,0xD6,0x97,0x41,0x00,0x99,0x55,0x15,0x70,0xF9,0xFE,
		0x01,0x49,0x06,0xCD,0x95,0xC3,0xFC,0xB8,0xA6,0xA5,0x9F,0x29,
		0x34,0xC1,0x6B,0xF4,0x2F,0x98,0x8D,0xE7,0xC5,0x4A,0x42,0x2F,
		0x8B,0x32,0x0A,0xCF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
